panic.c File Reference
General-purpose utility functions
`#include <unistd.h>`
`#include <osmocom/core/panic.h>`
`#include <osmocom/core/backtrace.h>`
`#include "../config.h"`
`#include <stdio.h>`
`#include <stdlib.h>`

## Functions

static void | osmo_panic_default (const char *fmt, va_list args)
void | osmo_panic (const char *fmt,...)
| Terminate the current program with a panic. More...
void | osmo_set_panic_handler (osmo_panic_handler_t h)
| Set the panic handler. More...

## Variables

static osmo_panic_handler_t | osmo_panic_handler = (void*)0

## Detailed Description

Routines for panic handling.